Skip to main content
GET
/
counterparties
/
{id}
Get Counterparty
curl --request GET \
  --url https://api.otim.com/v0/counterparties/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "cpty_01JA1B2C3D4E5F6G7H8J9K0L",
  "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
  "name": "Acme Corp",
  "type": "bank_account",
  "bankName": "Chase",
  "accountNumber": "****6789",
  "routingNumber": "021000021",
  "walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
  "chain": "base",
  "createdAt": "2025-01-15T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Path Parameters

id
string
required

The ID of the Counterparty.

Response

Counterparty details.

id
string
Example:

"cpty_01JA1B2C3D4E5F6G7H8J9K0L"

entityId
string
Example:

"ent_01JA1B2C3D4E5F6G7H8J9K0L"

name
string
Example:

"Acme Corp"

type
enum<string>
Available options:
wallet,
bank_account
Example:

"bank_account"

bankName
string | null
Example:

"Chase"

accountNumber
string | null
Example:

"****6789"

routingNumber
string | null
Example:

"021000021"

walletAddress
string | null
Example:

"0x1234567890abcdef1234567890abcdef12345678"

chain
string | null
Example:

"base"

createdAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"